Hi Sok,

I'm afraid this is a known issue for which I do not yet have a fix. Currently wxHaskell is not usable from ghci, I'm afraid.

Regards
Jeremy

On 3 May 2010, at 14:29, Sok H. Chang wrote:

I install ghc 6.10.4 on Ubuntu Karmic
I install wxHaskell through cabal

I try to use wxHaskell, I got  some problem.
The error message is...

shaegis@shaegis-laptop:~$ ghci -package wx Hello.hs
GHCi, version 6.10.4: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer ... linking ... done.
Loading package base ... linking ... done.
Loading package syb ... linking ... done.
Loading package array-0.2.0.0 ... linking ... done.
Loading package stm-2.1.1.2 ... linking ... done.
Loading package bytestring-0.9.1.4 ... linking ... done.
Loading package containers-0.2.0.1 ... linking ... done.
Loading package filepath-1.1.0.2 ... linking ... done.
Loading package old-locale-1.0.0.1 ... linking ... done.
Loading package old-time-1.0.0.2 ... linking ... done.
Loading package unix-2.3.2.0 ... linking ... done.
Loading package directory-1.0.0.3 ... linking ... done.
Loading package parsec-2.1.0.1 ... linking ... done.
Loading package time-1.1.2.4 ... linking ... done.
Loading package wxdirect-0.12.1.3 ... linking ... done.
ghc: /usr/local/lib/wxcore-0.12.1.4/ghc-6.10.4/HSwxcore-0.12.1.4.o: unknown symbol `__dso_handle'
Loading package wxcore-0.12.1.4 ... linking ... ghc: unable to load package `wxcore-0.12.1.4'

How can I fix this?
Thanks a lot !


------------------------------------------------------------------------------
_______________________________________________
wxhaskell-users mailing list
wxhaskell-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/wxhaskell-users